#
# spec file for package perl-CLASS
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name CLASS
Name:           perl-CLASS
Version:        1.1.8
Release:        1.1
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Alias for __PACKAGE__
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/J/JD/JDEGUEST/%{cpan_name}-v%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
CLASS and $CLASS are both synonyms for __PACKAGE__. Easier to type.

$CLASS has the additional benefit of working in strings.

%prep
%autosetup  -n %{cpan_name}-v%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes CONTRIBUTING.md README

%changelog
* Sun Sep 24 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.1.8
  see /usr/share/doc/packages/perl-CLASS/Changes
* Tue Mar  8 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.1.7
  see /usr/share/doc/packages/perl-CLASS/Changes
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Sat Jan 22 2011 coolo@novell.com
- initial package 1.00
  * created by cpanspec 1.78.03
